from django.conf import settings
from django.contrib import admin

from .forms import RoleForm
from .models import (
    ArchiveResource,
    BiblioResource,
    CriminoResource,
    Event,
    Graph,
    Image,
    Institution,
    Job,
    JurisdictionArea,
    Link,
    Location,
    Person,
    ResourcesGroup,
    Role,
    Statistic,
    Video,
)


class LocationAdmin(admin.ModelAdmin):
    '''Adds a gmap widget to ease the address setup'''
    class Media:
        js = [
            'http://code.jquery.com/jquery-1.4.2.min.js',
            'http://maps.google.com/maps/api/js?sensor=false',
            settings.STATIC_URL + '/admin/gmaps_integration.js'
        ]


class RoleAdmin(admin.ModelAdmin):
    form = RoleForm


admin.site.register(ArchiveResource)
admin.site.register(BiblioResource)
admin.site.register(CriminoResource)
admin.site.register(Event)
admin.site.register(Graph)
admin.site.register(Image)
admin.site.register(Institution)
admin.site.register(Job)
admin.site.register(JurisdictionArea)
admin.site.register(Link)
admin.site.register(Location, LocationAdmin)
admin.site.register(Person)
admin.site.register(ResourcesGroup)
admin.site.register(Role, RoleAdmin)
admin.site.register(Statistic)
admin.site.register(Video)
