from django.core.checks import Error, register


@register()
def check_django_modeltranslation_in_installed_apps(app_configs, **kwargs):
    errors = []
    from django.conf import settings
    needed_modules = ['modeltranslation', 'crimino_jail', ]
    for module in needed_modules:
        if module not in settings.INSTALLED_APPS:
            errors.append(
                Error(
                    'INSTALLED_APPS is incomplete',
                    hint="Add '{mod}' in your INSTALLED_APPS".format(
                        mod=module),
                    obj='Import Error',
                    id='jail.check',
                )
            )
    return errors
