from django.utils.translation import ugettext_lazy as _
from django.utils.translation import pgettext_lazy


CORRECTIONAL_CAMP = "correctional_camp"
PENITENTIARY_CAMP = "penitentiary_camp"
ASSIZE_COURT = "assize_court"
DAY_PAROLE_HOME = "day_parole_home"
LONG_TERM_PRISON = "long_term_prison"
SHORT_TERM_PRISON = "short_term_prison"
CRIMINAL_COURT = "criminal_court"

INSTITUTION_TYPES = (
    (CORRECTIONAL_CAMP, _("Correctional Camp")),
    (PENITENTIARY_CAMP, _("Penitentiary Camp")),
    (ASSIZE_COURT, _("Assize Court")),
    (DAY_PAROLE_HOME, _("Home of Parole / Open Prison")),
    (LONG_TERM_PRISON, _("Long Term Prison")),
    (SHORT_TERM_PRISON, _("Short Term Prison")),
    (CRIMINAL_COURT, _("Criminal Court")),
)

INSTITUTION_TYPES_DICT = dict(INSTITUTION_TYPES)


ACCUSED = "accused"
CORRECTIONAL_SENTENCED = "correctional_sentenced"
INDEBTED = "indebted"
OTHERS = "others"

PRISONER_TYPES = (
    (ACCUSED, pgettext_lazy("prisoner", "Accused")),
    (CORRECTIONAL_SENTENCED, _("Correctional Sentenced")),
    (INDEBTED, _("Indebted")),
    (OTHERS, _("Others")),
)

PRISONER_TYPES_DICT = dict(PRISONER_TYPES)


MALE = "male"
FEMALE = "female"

PRISONER_GENDER = (
    (MALE, _("Male")),
    (FEMALE, _("Female")),
)

PRISONER_GENDER_DICT = dict(PRISONER_GENDER)


MINOR = "minor"
MAJOR = "major"

PRISONER_AGE_CATEGORY = (
    (MINOR, _("Minor")),
    (MAJOR, _("Adult")),
)

PRISONER_AGE_CATEGORY_DICT = dict(PRISONER_AGE_CATEGORY)
