from django import forms

from .choices import (
    INSTITUTION_TYPES, PRISONER_TYPES, PRISONER_GENDER, PRISONER_AGE_CATEGORY
)
from .models import Role


class RoleForm(forms.ModelForm):
    model = Role
    fields = ('__all__', )

    institution_type = forms.MultipleChoiceField(
        widget=forms.CheckboxSelectMultiple,
        choices=INSTITUTION_TYPES,
        required=False)
    prisoner_type = forms.MultipleChoiceField(
        widget=forms.CheckboxSelectMultiple,
        choices=PRISONER_TYPES,
        required=False)
    prisoner_gender = forms.MultipleChoiceField(
        widget=forms.CheckboxSelectMultiple,
        choices=PRISONER_GENDER,
        required=False)
    prisoner_age_category = forms.MultipleChoiceField(
        widget=forms.CheckboxSelectMultiple,
        choices=PRISONER_AGE_CATEGORY,
        required=False)
