from django.db import models


class FetchManager(models.Manager):
    use_for_related_fields = True
    related_fields = []
    prefetch_related = []

    def get_queryset(self):
        return super(FetchManager, self).get_queryset()\
            .select_related(*self.related_fields)\
            .prefetch_related(*self.prefetch_related)


class JobManager(FetchManager):
    select_related = ['person', ]


class ResourcesGroupManager(FetchManager):
    related_fields = [
        'archive_resource', 'bibliography_resource', 'crimino_resource']
    prefetch_related = ['miscellaneous_urls', ]


class ArchiveResourceManager(FetchManager):
    prefetch_related = ['other_urls', ]


class BiblioResourceManager(FetchManager):
    prefetch_related = ['other_urls', ]


class StatisticManager(FetchManager):
    prefetch_related = ['graphs', ]
