# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2016-11-16 09:03
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ArchiveResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('crhcp_url', models.URLField(blank=True, verbose_name='CRHCP URL')),
                ('gallica_url', models.URLField(blank=True, verbose_name='Gallica URL')),
                ('other', models.TextField(blank=True, help_text='Complementary resources (could be offline)', verbose_name='Other')),
            ],
            options={
                'verbose_name': 'Archive Resource',
                'verbose_name_plural': 'Archive Resources',
            },
        ),
        migrations.CreateModel(
            name='BiblioResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('criminocorpus_url', models.URLField(blank=True, verbose_name='CriminoCorpus URL')),
                ('bnf_url', models.URLField(blank=True, verbose_name='BnF URL')),
                ('crhcp_url', models.URLField(blank=True, verbose_name='CRHCP URL')),
                ('other', models.TextField(blank=True, help_text='Complementary resources (could be offline)', verbose_name='Other')),
            ],
            options={
                'verbose_name': 'Bibliography Resource',
                'verbose_name_plural': 'Bibliography Resources',
            },
        ),
        migrations.CreateModel(
            name='CriminoResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('criminocorpus_url', models.URLField(blank=True, verbose_name='CriminoCorpus URL')),
                ('other', models.TextField(blank=True, help_text='Complementary resources (could be offline)', verbose_name='Other')),
            ],
            options={
                'verbose_name': 'Crimino Resource',
                'verbose_name_plural': 'Crimino Resources',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Ex: Fire in Saint-L\xf4 Prison', max_length=255, verbose_name='Name')),
                ('name_en', models.CharField(help_text='Ex: Fire in Saint-L\xf4 Prison', max_length=255, null=True, verbose_name='Name')),
                ('name_fr', models.CharField(help_text='Ex: Fire in Saint-L\xf4 Prison', max_length=255, null=True, verbose_name='Name')),
                ('event_type', models.CharField(max_length=255, verbose_name='Type')),
                ('event_type_en', models.CharField(max_length=255, null=True, verbose_name='Type')),
                ('event_type_fr', models.CharField(max_length=255, null=True, verbose_name='Type')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('description_en', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_fr', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('datetime_start', models.DateTimeField(blank=True, help_text='The date used for sorting', verbose_name='DateTime Start')),
                ('datetime_start_display', models.CharField(blank=True, help_text='The displayed date', max_length=255, verbose_name='DateTime Start Display')),
                ('datetime_start_display_en', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='DateTime Start Display')),
                ('datetime_start_display_fr', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='DateTime Start Display')),
                ('datetime_end', models.DateTimeField(blank=True, help_text='The date used for sorting', null=True, verbose_name='DateTime End')),
                ('datetime_end_display', models.CharField(blank=True, help_text='The displayed date', max_length=255, verbose_name='DateTime End Display')),
                ('datetime_end_display_en', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='DateTime End Display')),
                ('datetime_end_display_fr', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='DateTime End Display')),
            ],
            options={
                'ordering': ['datetime_start'],
                'verbose_name': 'Event',
                'verbose_name_plural': 'Events',
            },
        ),
        migrations.CreateModel(
            name='Graph',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('graph', models.ImageField(upload_to='graph/%Y/%m/%d/', verbose_name='Graph')),
            ],
            options={
                'verbose_name': 'Graph',
                'verbose_name_plural': 'Graphs',
            },
        ),
        migrations.CreateModel(
            name='Image',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('image', models.ImageField(upload_to='img/%Y/%m/%d/', verbose_name='Image')),
            ],
            options={
                'verbose_name': 'Image',
                'verbose_name_plural': 'Images',
            },
        ),
        migrations.CreateModel(
            name='Institution',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('created_at', models.DateField(auto_now_add=True, verbose_name='Created at')),
                ('construction_date', models.CharField(blank=True, max_length=255, verbose_name='Construction Date')),
                ('opening_date', models.CharField(blank=True, max_length=255, verbose_name='Opening Date')),
                ('closing_date', models.CharField(blank=True, max_length=255, verbose_name='Closing Date')),
                ('particularities', models.TextField(blank=True, verbose_name='Particularities')),
                ('particularities_en', models.TextField(blank=True, null=True, verbose_name='Particularities')),
                ('particularities_fr', models.TextField(blank=True, null=True, verbose_name='Particularities')),
                ('merimee_reference', models.CharField(blank=True, max_length=255, verbose_name='M\xe9rim\xe9e Reference')),
                ('contributors', models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='Contributors')),
            ],
            options={
                'verbose_name': 'Institution',
                'verbose_name_plural': 'Institutions',
            },
        ),
        migrations.CreateModel(
            name='Job',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_range', models.CharField(blank=True, max_length=255, verbose_name='Date Range')),
                ('date_start', models.DateField(blank=True, help_text='The date used for sorting', verbose_name='Date Start')),
                ('role', models.CharField(max_length=255, verbose_name='Role')),
                ('role_en', models.CharField(max_length=255, null=True, verbose_name='Role')),
                ('role_fr', models.CharField(max_length=255, null=True, verbose_name='Role')),
                ('institution', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.Institution', verbose_name='Institution')),
            ],
            options={
                'ordering': ['date_start'],
                'verbose_name': 'Job',
                'verbose_name_plural': 'Jobs',
            },
        ),
        migrations.CreateModel(
            name='JurisdictionArea',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('area', models.CharField(max_length=255, verbose_name='Area')),
                ('date_range_display', models.CharField(blank=True, help_text='The displayed date', max_length=255, verbose_name='Date Range Display')),
                ('date_start', models.DateField(blank=True, help_text='The date used for sorting', verbose_name='Date Start')),
                ('institution', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.Institution', verbose_name='Institution')),
            ],
            options={
                'ordering': ['date_start'],
                'verbose_name': 'Jurisdiction Area',
                'verbose_name_plural': 'Jurisdiction Areas',
            },
        ),
        migrations.CreateModel(
            name='Link',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='Title')),
                ('title_en', models.CharField(max_length=255, null=True, verbose_name='Title')),
                ('title_fr', models.CharField(max_length=255, null=True, verbose_name='Title')),
                ('url', models.URLField(verbose_name='URL')),
            ],
            options={
                'verbose_name': 'Link',
                'verbose_name_plural': 'Links',
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.CharField(max_length=255, verbose_name='Address')),
                ('city', models.CharField(max_length=255, verbose_name='City')),
                ('county', models.CharField(blank=True, max_length=255, verbose_name='County')),
                ('country', models.CharField(max_length=255, verbose_name='Country')),
                ('insee_id', models.CharField(blank=True, max_length=255, verbose_name='INSEE id')),
                ('date_start', models.DateField(blank=True, help_text='The date used for sorting', verbose_name='Date Start')),
                ('date_start_display', models.CharField(blank=True, help_text='The displayed date', max_length=255, verbose_name='Date Start Display')),
                ('date_start_display_en', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='Date Start Display')),
                ('date_start_display_fr', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='Date Start Display')),
                ('date_end', models.DateField(blank=True, help_text='The date used for sorting', null=True, verbose_name='Date End')),
                ('date_end_display', models.CharField(blank=True, help_text='The date displayed', max_length=255, verbose_name='Date End Display')),
                ('date_end_display_en', models.CharField(blank=True, help_text='The date displayed', max_length=255, null=True, verbose_name='Date End Display')),
                ('date_end_display_fr', models.CharField(blank=True, help_text='The date displayed', max_length=255, null=True, verbose_name='Date End Display')),
                ('longitude', models.FloatField(verbose_name='Longitude')),
                ('latitude', models.FloatField(verbose_name='Latitude')),
            ],
            options={
                'ordering': ['date_start'],
                'verbose_name': 'Location',
                'verbose_name_plural': 'Locations',
            },
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=255, verbose_name='First Name')),
                ('last_name', models.CharField(max_length=255, verbose_name='Last Name')),
                ('birthday', models.CharField(blank=True, max_length=255, verbose_name='Birthday')),
                ('deathday', models.CharField(blank=True, max_length=255, verbose_name='Date of Death')),
            ],
            options={
                'verbose_name': 'Person',
                'verbose_name_plural': 'Persons',
            },
        ),
        migrations.CreateModel(
            name='ResourcesGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('archive_resource', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.ArchiveResource', verbose_name='Archive Resource')),
                ('bibliography_resource', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.BiblioResource', verbose_name='Bibliography Resource')),
                ('crimino_resource', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.CriminoResource', verbose_name='Crimino Resource')),
                ('miscellaneous_urls', models.ManyToManyField(blank=True, to='crimino_jail.Link', verbose_name='Miscellaneous URLs')),
            ],
            options={
                'verbose_name': 'Resources Group',
                'verbose_name_plural': 'Resources Groups',
            },
        ),
        migrations.CreateModel(
            name='Role',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(verbose_name='Description')),
                ('description_en', models.TextField(null=True, verbose_name='Description')),
                ('description_fr', models.TextField(null=True, verbose_name='Description')),
                ('institution_type', django.contrib.postgres.fields.jsonb.JSONField(blank=True, max_length=255, null=True, verbose_name='Type')),
                ('prisoner_count', models.PositiveIntegerField(blank=True, null=True, verbose_name='Prisoner Count')),
                ('prisoner_gender', django.contrib.postgres.fields.jsonb.JSONField(blank=True, max_length=50, null=True, verbose_name='Prisoner Gender')),
                ('prisoner_age_category', django.contrib.postgres.fields.jsonb.JSONField(blank=True, max_length=50, null=True, verbose_name='Prisoner Age Category')),
                ('prisoner_type', django.contrib.postgres.fields.jsonb.JSONField(blank=True, max_length=255, null=True, verbose_name='Prisoner Type')),
                ('date_start', models.DateField(blank=True, help_text='The date used for sorting', verbose_name='Date Start')),
                ('date_start_display', models.CharField(blank=True, help_text='The date displayed', max_length=255, verbose_name='Date Start Display')),
                ('date_start_display_en', models.CharField(blank=True, help_text='The date displayed', max_length=255, null=True, verbose_name='Date Start Display')),
                ('date_start_display_fr', models.CharField(blank=True, help_text='The date displayed', max_length=255, null=True, verbose_name='Date Start Display')),
                ('date_end', models.DateField(blank=True, help_text='The date used for sorting', null=True, verbose_name='Date End')),
                ('date_end_display', models.CharField(blank=True, help_text='The displayed date', max_length=255, verbose_name='Date End Display')),
                ('date_end_display_en', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='Date End Display')),
                ('date_end_display_fr', models.CharField(blank=True, help_text='The displayed date', max_length=255, null=True, verbose_name='Date End Display')),
                ('institution', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.Institution', verbose_name='Institution')),
            ],
            options={
                'ordering': ['date_start'],
                'verbose_name': 'Role',
                'verbose_name_plural': 'Roles',
            },
        ),
        migrations.CreateModel(
            name='Statistic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('online_stats_name', models.CharField(blank=True, max_length=255, verbose_name='Online Stats Name')),
                ('online_stats_url', models.URLField(blank=True, verbose_name='Online Stats URL')),
                ('offline_stats_name', models.CharField(blank=True, max_length=255, verbose_name='Offline Stats Name')),
                ('offline_stats_reference', models.TextField(blank=True, verbose_name='Offline Stats Reference')),
                ('offline_stats_data', models.TextField(blank=True, verbose_name='Offline Stats data')),
                ('institution', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.Institution', verbose_name='Institution')),
            ],
            options={
                'verbose_name': 'Statistic',
                'verbose_name_plural': 'Statistics',
            },
        ),
        migrations.CreateModel(
            name='Video',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('video', models.FileField(upload_to='video/%Y/%m/%d/', verbose_name='Video')),
                ('institutions', models.ManyToManyField(related_name='videos', to='crimino_jail.Institution', verbose_name='Institutions')),
            ],
            options={
                'verbose_name': 'Video',
                'verbose_name_plural': 'Videos',
            },
        ),
        migrations.AddField(
            model_name='job',
            name='person',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.Person', verbose_name='Person'),
        ),
        migrations.AddField(
            model_name='institution',
            name='locations',
            field=models.ManyToManyField(blank=True, to='crimino_jail.Location', verbose_name='Location'),
        ),
        migrations.AddField(
            model_name='institution',
            name='resources_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.ResourcesGroup', verbose_name='Resources Group'),
        ),
        migrations.AddField(
            model_name='image',
            name='institutions',
            field=models.ManyToManyField(related_name='images', to='crimino_jail.Institution', verbose_name='Institutions'),
        ),
        migrations.AddField(
            model_name='graph',
            name='statistics',
            field=models.ManyToManyField(to='crimino_jail.Statistic', verbose_name='Statistics'),
        ),
        migrations.AddField(
            model_name='event',
            name='institution',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='crimino_jail.Institution', verbose_name='Institution'),
        ),
        migrations.AddField(
            model_name='biblioresource',
            name='other_urls',
            field=models.ManyToManyField(blank=True, to='crimino_jail.Link', verbose_name='Other URLs'),
        ),
        migrations.AddField(
            model_name='archiveresource',
            name='other_urls',
            field=models.ManyToManyField(blank=True, to='crimino_jail.Link', verbose_name='Other URLs'),
        ),
    ]
