from django.db.models.signals import m2m_changed, post_save
from django.dispatch import receiver

from ..models import Institution, Role


@receiver(m2m_changed, sender=Institution.roles.through)
def update_latest_type_from_roles(sender, instance, action, **kwargs):
    if action in ["post_add", "post_remove"]:
        instance.update_latest_type()


@receiver(post_save, sender=Role)
def update_related_institution(sender, instance, created, **kwargs):
    if not created:
        institutions = Institution.objects.filter(roles__in=[instance])
        for institution in institutions:
            institution.update_latest_type()
