var map;

$(document).ready(function() {

  $('#id_country').parent().append("<div id='map_canvas' style='width:680px; height:400px; margin: 20px; margin-left: 105px;' ></div>");

  // normandy coordinates
  normandy_latitude = 48.8799;
  normandy_longitude = 0.1713;
  var latlng = new google.maps.LatLng(normandy_latitude, normandy_longitude);
  var myOptions = {
    zoom: 8,
    center: latlng,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  };


  map = new google.maps.Map(document.getElementById("map_canvas"),  myOptions);

  $('#id_address').change(function() {
    updateMapPosition(map);
  });

  $('#id_city').change(function() {
    updateMapPosition(map);
  });

  $('#id_county').change(function() {
    updateMapPosition(map);
  });

  $('#id_country').change(function() {
    updateMapPosition(map);
  });

  // on load update map if address is not empty
  if (
    $('#id_address').val() &&
    $('#id_address').val() &&
    $('#id_country').val()
  ) {
    updateMapPosition(map);
  }
});

function getFullAddress() {
  var addressAsList = [
    $('#id_address').val(),
    $('#id_city').val(),
    $('#id_county').val(),
    $('#id_country').val()
  ];
  addressAsList = addressAsList.filter(
    function (n) {
      return n != '';
    }
  );
  return addressAsList.join(', ')
}

var markers = [];

// Adds a marker to the map and push to the array.
function addMarker(location) {
  var marker = new google.maps.Marker({
    position: location,
    map: map
  });
  markers.push(marker);
}

// Sets the map on all markers in the array.
function setMapOnAll(map) {
  for (var i = 0; i < markers.length; i++) {
    markers[i].setMap(map);
  }
}

// Removes the markers from the map, but keeps them in the array.
function clearMarkers() {
  setMapOnAll(null);
}

// Shows any markers currently in the array.
function showMarkers() {
  setMapOnAll(map);
}

// Deletes all markers in the array by removing references to them.
function deleteMarkers() {
  clearMarkers();
  markers = [];
}

function updateMapPosition(map) {
  var geocoder = new google.maps.Geocoder();
  var position = geocoder.geocode({'address': getFullAddress()},
    function (results, status) {
      if (status === google.maps.GeocoderStatus.OK) {
        if (status !== google.maps.GeocoderStatus.ZERO_RESULTS) {
          map.setCenter(results[0].geometry.location);
          map.setZoom(15);
          // Remove previous markers
          deleteMarkers();

          addMarker(results[0].geometry.location);
          showMarkers();
          // var marker = new google.maps.Marker({map:map, position:results[0].geometry.location});
          $('#id_longitude').val(results[0].geometry.location.lng());
          $('#id_latitude').val(results[0].geometry.location.lat());
        }
      }
      else {
        alert("Adresse inconnue par google map, rajoutez le code postal et le pays.");
      }
    }
  );
}