var map;

$(document).ready(function() {
  // normandy coordinates
  normandy_latitude = 48.8799;
  normandy_longitude = 0.1713;
  var latlng = new google.maps.LatLng(normandy_latitude, normandy_longitude);
  var myOptions = {
    zoom: 8,
    center: latlng,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  };

  map = new google.maps.Map(document.getElementById("map_canvas"),  myOptions);
})


function createPositionMarkers(markers) {
  for (var i = markers.length - 1; i >= 0; i--) {
    markers[i].latlng = new google.maps.LatLng(markers[i].lat, markers[i].lng);
  }
}

var gmapMarkers = [];
function displayAllMarkers(markers) {
  var markerConfig;
  for (var i = markers.length - 1; i >= 0; i--) {
    markerConfig = {
      map: map,
      position: markers[i].latlng,
      title: markers[i].title,
      infowin: new google.maps.InfoWindow({
        content: '<div>' + markers[i].address +'</div>'
      })
    }
    if (i === markers.length - 1) {
      markerConfig.icon = 'http://maps.google.com/mapfiles/ms/icons/green-dot.png';
    }
    gmapMarkers.push(new google.maps.Marker(markerConfig))

    google.maps.event.addListener(markers[i], 'click', function () {
      this['infowin'].open(map, this);
    })
  }

  for (var i = gmapMarkers.length - 1; i >= 0; i--) {
    var marker = gmapMarkers[i];
    google.maps.event.addListener(gmapMarkers[i], 'click', (function (marker) {
      return function () {
        marker.infowin.open(map, marker);
      }
    })(marker));
    gmapMarkers[i].setMap(map);
  }

  map.setCenter(gmapMarkers[gmapMarkers.length - 1].position);
  map.setZoom(15);
}


function initMap (location_data) {
  if (!location_data.length) { return; }
  createPositionMarkers(location_data);
  displayAllMarkers(location_data);
}
