var map;

$(document).ready(function() {
  // normandy coordinates
  normandy_latitude = 48.8799;
  normandy_longitude = 0.1713;
  var latlng = new google.maps.LatLng(normandy_latitude, normandy_longitude);
  var myOptions = {
    zoom: 8,
    center: latlng,
    mapTypeId: google.maps.MapTypeId.ROADMAP
  };
  map = new google.maps.Map(document.getElementById("map_canvas"),  myOptions);
})


function initMap(locations, clusterIconUrl) {
    // Add some markers to the map.
    // Note: The code uses the JavaScript Array.prototype.map() method to
    // create an array of markers based on a given "locations" array.
    // The map() method here has nothing to do with the Google Maps API.
    var markers = locations.map(function (location, i) {
        var marker = new google.maps.Marker({
            position: location,
            label: location.label,
            title: location.title,
            infowin: new google.maps.InfoWindow({
                content: '<div>' +
                         '<h3><a href="' + location.detailUrl + '">' + location.title + '</a></h3>' +
                         '<p>' + location.address + '</p>' +
                         '</div>'
            })
        });
        google.maps.event.addListener(marker, 'click', function () {
            this['infowin'].open(map, this);
        })
        return marker;
    });
    var markerCluster = new MarkerClusterer(map, markers, {imagePath: clusterIconUrl});
}

