from django.test import SimpleTestCase

from ..templatetags.translations import translate_jsonfield_values


class TestTags(SimpleTestCase):
    def test_translate_jsonfield_values(self):
        translation_dict = {"foo": "bar", "baz": "boom"}
        value_list = ["foo", "baz"]

        result = translate_jsonfield_values(translation_dict, value_list)
        assert result == "bar, boom"

    def test_translate_jsonfield_values_empty(self):
        translation_dict = {"foo": "bar", "baz": "boom"}
        value_list = []

        result = translate_jsonfield_values(translation_dict, value_list)
        assert result == "N/A"

    def test_translate_json_field_values_not_in_dict(self):
        translation_dict = {"foo": "bar", "baz": "boom"}
        value_list = ["bar", ]

        result = translate_jsonfield_values(translation_dict, value_list)
        assert result == "N/A"
