from django.test import SimpleTestCase

from ..utils import merge_dict


class TestUtils(SimpleTestCase):
    def test_merge_dict(self):
        d1 = {"foo": "bar", "baz": "bam"}
        d2 = {"bim": "boom", "foo": "oof"}
        d3 = merge_dict(d1, d2)

        all_keys = ["foo", "baz", "bim"]
        for key in all_keys:
            assert key in all_keys
        # d2 overwrite d1
        assert d3["foo"] == "oof"

        # check initial data has not been tampered with
        assert d1["foo"] == "bar"
        assert d1["baz"] == "bam"
        assert d2["foo"] == "oof"
        assert d2["bim"] == "boom"
