from modeltranslation.translator import translator, TranslationOptions
from .models import (
    Event,
    Institution,
    Job,
    Link,
    Location,
    Role,
)


class EventTranslationOptions(TranslationOptions):
    fields = ('name', 'description', 'datetime_start_display',
              'datetime_end_display', 'event_type', )


class InstitutionTranslationOptions(TranslationOptions):
    fields = ('particularities', )


class JobTranslationOptions(TranslationOptions):
    fields = ('role', )


class LinkTranslationOptions(TranslationOptions):
    fields = ('title', )


class LocationTranslationOptions(TranslationOptions):
    fields = ('date_start_display', 'date_end_display', )


class RoleTranslationOptions(TranslationOptions):
    fields = ('description', 'date_start_display', 'date_end_display', )


translator.register(Event, EventTranslationOptions)
translator.register(Institution, InstitutionTranslationOptions)
translator.register(Job, JobTranslationOptions)
translator.register(Link, LinkTranslationOptions)
translator.register(Location, LocationTranslationOptions)
translator.register(Role, RoleTranslationOptions)
